﻿/* marquee*/

.announcement-scroll {
    overflow: hidden;
    position: relative;
    width: 100%;
}

.announcement-track {
    display: flex;
    width: max-content;
    animation: scroll-left 25s linear infinite;
}

.announcement-item {
    display: inline-flex;
    align-items: center;
    margin-right: 40px;
    white-space: nowrap;
}

@keyframes scroll-left {
    0% {
        transform: translateX(0%);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* Pause on hover */
.announcement-scroll:hover .announcement-track {
    animation-play-state: paused;
}

/* Banner */
.carousel-item {
    transition: opacity 1s ease-in-out;
}